| Kea 3.0.2-git

base_config_backend.h File Reference
`#include <database/database_connection.h>`
`#include <boost/shared_ptr.hpp>`
`#include <cstdint>`
`#include <set>`
`#include <string>`
Include dependency graph for base_config_backend.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::cb::BaseConfigBackend
| Interface for Kea server specific configuration backend implementations. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::cb

## Typedefs
typedef boost::shared_ptr< BaseConfigBackend > | isc::cb::BaseConfigBackendPtr
| Shared pointer to the `BaseConfigBackend`.